# -*- coding: utf-8 -*-

from setuphelpers import *

bin_contains = "WinMerge-%s-x64-Setup.exe"


def install():
    # Declaring local variables
    package_version = control.get_software_version()
    bin_name = glob.glob(bin_contains % package_version)[0]

    # Uninstalling older versions of the software
    for to_uninstall in installed_softwares(r"WinMerge_is1"):
        if Version(to_uninstall["version"]) < Version(package_version) or force:
            print("Removing: %s (%s)" % (to_uninstall["name"], to_uninstall["version"]))
            killalltasks(control.impacted_process.split(","))
            run(uninstall_cmd(to_uninstall["key"]))
            wait_uninstallkey_absent(to_uninstall["key"])

    # Installing the software
    print("Installing: %s" % control.package)
    install_exe_if_needed(
        bin_name,
        silentflags="/VERYSILENT /SUPPRESSMSGBOXES /NORESTART",
        key="WinMerge_is1",
        min_version=control.get_software_version(),
    )
